/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __DBSDGLOBAL_H
#define __DBSDGLOBAL_H

#include <dbsdiconloader.h>

class DBSDGlobal {
public:
	static void  setIconLoader(DBSDIconLoader  *loader) { iconLoader = loader; }
	static DBSDIconLoader  *getIconLoader() { return  iconLoader; }
	
	static bool isNativeDesktopBSD();

private:
	static DBSDIconLoader  *iconLoader;
	static int nativeDesktopBSD;
};

#endif
